javasf@googlegroups.com
[Top] [All Lists]

Re: [javasf] Re: subir projeto no tomcat

Subject: Re: [javasf] Re: subir projeto no tomcat
From: Carlos Alberto Rodrigues Leite
Date: Mon, 27 Dec 2010 09:09:55 -0300
correção:
o tomcat do windows utiliza jvm 1.6

Em 27 de dezembro de 2010 09:08, Carlos Alberto Rodrigues Leite <beto20a@xxxxxxxxx> escreveu:
Olá Davinir,
Então... de primeira eu compilei o projeto utilizando jdk 1.6 e ocorreu o erro. Mudei a jdk aqui pra 1.5 (o servidor usa jvm 1.5) mas continua nao startando a aplicação.

Servidor: Tomcat 5.5.23 JVM 1.5.0_09-B03  ( mesma que minha atual jdk)

Olhei na doc do richfaces mas la diz que suporta tomcat 5.5 e 6.

as libs do projeto são:

antlr-2.7.6
asm
asm-attrs
barbecue-1.5-beta1
barcode4j-2.0
c3p0-0.9.1
cglib-2.1.3
commons-beanutils
commons-beanutils-1.8.2
commons-collections
commons-collections-2.1.1
commons-collections-3.1
commons-collections-3.2.1
commons-digester
commons-digester-1.7
commons-javaflow-20060411
commons-logging
commons-logging-1.1
dom4j
dom4j-1.6.1
ehcache-1.2.3
ejb3-persistence
el-impl-1.0
groovy-all-1.7.5
hibernate3
hibernate-annotations
hibernate-cglib-repack-2.1_3
hibernate-commons-annotations
hibernate-entitymanager
hibernate-tools
hibernate-validator
iText-2.1.7
jasperreports-3.7.6
javassist
javassist-3.4.GA
jconn3
jdbc2_0-stdext
jsf-api
jsf-facelets
jsf-impl
jstl
jta
jta-1.1
log4j
richfaces-api-3.3.3.Final
richfaces-impl-3.3.3.Final
richfaces-ui-3.3.3.Final
slf4j-api
slf4j-api-1.5.2
slf4j-log4j12
standard


Em 26 de dezembro de 2010 12:12, Davinir F Campos Jr <davinir.jr@xxxxxxxxx> escreveu:

Carlos Alberto,

É possível que você esteja utilizando algum recurso específico de uma implementação ou da JVM?

Por favor, responda as questões:

1) Qual é a versão da JVM que roda o Tomcat do Linux e qual é a versão da JVM que roda o Tomcat no Windows? Perceba que estou me referindo a versão que RODA. Você pode até instalar outras JVMs, mas o que manda mesmo é a versão que roda o servidor. Geralmente, no Linux, já vem instalado o OpenJDK.

2) Que bibliotecas (e versões) você usa em sua aplicação web? Notou se existe alguma discrepância entre as versões que você usa?

Você deu atenção para  a compatibilidade do Tomcat (especificação Servlet/JSP)?
A saber (retirado de http://tomcat.apache.org/whichversion.html):

Servlet/JSP Spec Apache Tomcat version Actual release revision Minimum Java Version
3.0/2.2 7.0.x 7.0.5 (beta) 1.6
2.5/2.1 6.0.x 6.0.29 1.5
2.4/2.0 5.5.x 5.5.31 1.4

[ ]s
Davinir


Em 24 de dezembro de 2010 11:56, Glauco P. Gomes <glaucopgomes@xxxxxxxxxxxx> escreveu:

Instala o Tomcat 5.5 na sua máquina e tenta fazer a aplicaçao rodar nela.

Glauco P. Gomes

Em 23-12-2010 15:42, Carlos Alberto Rodrigues Leite escreveu:
Alguem sabe me dizer se pode ser simplesmente incompatibilidade?

estou usando jsf 1.2 com facelets, richfaces 3.3.3 e JPA/Hibernate, será que dá pra usar tudo isso no tomcat 5.5?

Em 23 de dezembro de 2010 14:08, Carlos Alberto Rodrigues Leite <beto20a@xxxxxxxxx> escreveu:
Camilo, td bom? entao.. o pobre do linux não tem nada a ver, só citei ele pra ninguem responder "ué.. se no tomcat 6 roda, use no tomcat 6" , coisa q nao posso rs... foi soh pra distinção mesmo.
Então Camilo, eu não uso pool de conexões, estou usando richfaces, e JPA/hibernate. Tenho outras aplicacoes aqui rodando neste tomcat já, aplicações que ja´ estavam prontas antes de eu trabalhar aqui. Tudo bem , pode ser algo na minha aplicacao, mas é muito estranho rodar no 6.0 e no 5.5 dar erro nao ? Não sei o que pode ser..

Em 23 de dezembro de 2010 13:38, CamiloLopes <camilosi@xxxxxxxxxxx> escreveu:

o que o  coitado do linux tem haver? veja as configurações, limpe o
cache no tomcat, ou simplesmente, faça uma aplicação simples e tente
subir pra ver o que acontece, se subir uma simples, o problema ta em
algo na sua app. O meu arquivo de context, usando pool de conexao fica
assim:

<Context path="/">
 <Resource auth="Container"
  name="jdbc/pupilla"
   driverClassName="com.mysql.jdbc.Driver"
   maxActive="20"    maxIdle="10" maxWait="-1"
    type="javax.sql.DataSource"
   url="" href="http://www.xxxx.com.br/pupilla?autoReconnect=true" target="_blank">www.xxxx.com.br/pupilla?autoReconnect=true"
   password="xxx"
   username="pupilla"

   validationquery="SELECT 1" testonborrow="true"
testwhileidle="true"
   timebetweenevictionrunsmillis="10000"
minevictableidletimemillis="60000"
   />
</Context>

Eu ja passei por isso em produção e foi questão de configuração mesmo.

On 23 dez, 14:23, Walter Mourão <walter.mou...@xxxxxxxxx> wrote:
> esses warns são irrelevantes para a inicialização.
>
> Walter Mourãohttp://waltermourao.com.brhttp://arcadian.com.brhttp://oriens.com.br
>
> 2010/12/23 Carlos Alberto Rodrigues Leite <beto...@xxxxxxxxx>
>
>
>
>
>
>
>
> > ainda com estes warns, consigo subir e startar tranquilamente no tomcat 6,
> > menos no 5.5 onde preciso (servidor linux)
>
> > Em 23 de dezembro de 2010 13:13, Carlos Alberto Rodrigues Leite <
> > beto...@xxxxxxxxx> escreveu:
>
> > outra coisa.... o unico warn de log foi este:
>
> >> log4j:WARN No appenders could be found for logger
> >> (org.ajax4jsf.application.AjaxStateManager).
> >> log4j:WARN Please initialize the log4j system properly.
> >> log4j:WARN No appenders could be found for logger
> >> (org.ajax4jsf.application.AjaxStateManager).
> >> log4j:WARN Please initialize the log4j system properly.
> >> log4j:WARN No appenders could be found for logger
> >> (org.ajax4jsf.application.AjaxStateManager).
> >> log4j:WARN Please initialize the log4j system properly.
> >> log4j:WARN No appenders could be found for logger
> >> (org.ajax4jsf.application.AjaxStateManager).
> >> log4j:WARN Please initialize the log4j system properly.
>
> >> Em 23 de dezembro de 2010 13:06, Carlos Alberto Rodrigues Leite <
> >> beto...@xxxxxxxxx> escreveu:
>
> >> Walter , estou usando sim, pois foi criado automaticamente, o que eu
> >>> preciso revisar nele?
>
> >>> Context.xml
>
> >>> <?xml version="1.0" encoding="UTF-8"?>
> >>> <Context antiJARLocking="true" path="/importados"/>
>
> >>> Em 23 de dezembro de 2010 13:02, Walter Mourão <walter.mou...@xxxxxxxxx>escreveu:
>
> >>> Se vc estiver usando um arquivo de contexto, revise-o.
>
> >>>> Walter Mourão
> >>>>http://waltermourao.com.br
> >>>>http://arcadian.com.br
> >>>>http://oriens.com.br
>
> >>>> 2010/12/23 Carlos Alberto Rodrigues Leite <beto...@xxxxxxxxx>
>
> >>>>>  Olá Walter... atualizando a informação:
>
> >>>>> meu log aqui do tomcat 6 (incorporado ao netbeans) já não da mais erro
> >>>>> algum. Mas, faço o deploy do .war no tomcat 5.5 do linux, e quando vou
> >>>>> startar ainda da o erro FAIL - Application at context path /importados could
> >>>>> not be started, jajá vou parar o tomcat para verificar. Não posso parar
> >>>>> agora porque tem muitas aplicacoes da empresa rondando nele agora.
>
> >>>>> Em 23 de dezembro de 2010 11:03, Walter Mourão <
> >>>>> walter.mou...@xxxxxxxxx> escreveu:
>
> >>>>>> pare o tomcat, remova todos os arquivos da pasta de logs, levante o
> >>>>>> tomcat e procure uma mensagem mais completa em todos os arquivos de log.
>
> >>>>>> Walter Mourão
> >>>>>>http://waltermourao.com.br
> >>>>>>http://arcadian.com.br
> >>>>>>http://oriens.com.br
>
> >>>>>> 2010/12/23 Beto <beto...@xxxxxxxxx>
>
> >>>>>> Pessoal td bem, me ajudem por favor!
>
> >>>>>>> Utilizo windows aqui com tomcat 6 e preciso subir uma aplicacao em
> >>>>>>> tomcat 5.5 no linux.
> >>>>>>> a jvm no linux é 5.0 u9 então mudei minha jdk aqui para 5.0 u9. Criei
> >>>>>>> o .war do projeto, subo ele no tomcat do servidor linux mas ele nao
> >>>>>>> starta, dá aquele erro
>
> >>>>>>> "FAIL - Application at context path /importados could not be started"
>
> >>>>>>> Fiz um teste no tomcat 6 aqui na minha maquina, subi a aplicacao e
> >>>>>>> acessei via web normalmente, o problema é mesmo ao subir no tomcat
> >>>>>>> 5.5
> >>>>>>> do linux. Alguem sabe o que preciso fazer?
>
> >>>>>>> --
> >>>>>>> Você recebeu esta mensagem por que é membro do  Javasf
> >>>>>>>http://groups.google.com/group/javasf
>
> >>>>>>> Conheça também o Java Brazil:
> >>>>>>>http://groups.google.com/group/thejavabrazil
>
> >>>>>>  --
> >>>>>> Você recebeu esta mensagem por que é membro do Javasf
> >>>>>>http://groups.google.com/group/javasf
>
> >>>>>> Conheça também o Java Brazil:
> >>>>>>http://groups.google.com/group/thejavabrazil
>
> >>>>>  --
> >>>>> Você recebeu esta mensagem por que é membro do Javasf
> >>>>>http://groups.google.com/group/javasf
>
> >>>>> Conheça também o Java Brazil:
> >>>>>http://groups.google.com/group/thejavabrazil
>
> >>>>  --
> >>>> Você recebeu esta mensagem por que é membro do Javasf
> >>>>http://groups.google.com/group/javasf
>
> >>>> Conheça também o Java Brazil:
> >>>>http://groups.google.com/group/thejavabrazil
>
> >  --
> > Você recebeu esta mensagem por que é membro do Javasf
> >http://groups.google.com/group/javasf
>
> > Conheça também o Java Brazil:http://groups.google.com/group/thejavabrazil

--
Você recebeu esta mensagem por que é membro do  Javasf
http://groups.google.com/group/javasf

Conheça também o Java Brazil: http://groups.google.com/group/thejavabrazil


--
Você recebeu esta mensagem por que é membro do Javasf
http://groups.google.com/group/javasf
 
Conheça também o Java Brazil: http://groups.google.com/group/thejavabrazil

--
Você recebeu esta mensagem por que é membro do Javasf
http://groups.google.com/group/javasf
 
Conheça também o Java Brazil: http://groups.google.com/group/thejavabrazil

--
Você recebeu esta mensagem por que é membro do Javasf
http://groups.google.com/group/javasf
 
Conheça também o Java Brazil: http://groups.google.com/group/thejavabrazil


--
Você recebeu esta mensagem por que é membro do Javasf
http://groups.google.com/group/javasf
 
Conheça também o Java Brazil: http://groups.google.com/group/thejavabrazil
<Prev in Thread] Current Thread [Next in Thread>